This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 980318 - Review Request: gists - A simple tool for pasting info
Review Request: gists - A simple tool for pasting info
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 00:53 EDT by Marcelo Barbosa "firemanxbr"
Modified: 2015-05-01 15:27 EDT (History)
7 users (show)

See Also:
Fixed In Version: gists-0.4.5-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-08 22:56:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcelo Barbosa "firemanxbr" 2013-07-02 00:53:28 EDT
Spec URL: http://firemanxbr.fedorapeople.org/gists/gists.spec
SRPM URL: http://firemanxbr.fedorapeople.org/gists/gists-0.4.5-1.fc19.src.rpm

Description: 
CLI interface for managing GitHub Gists. 
Use it:
* List of Gists
* Show a Gist
* Download a Gist
* Create a Gist
* Update a Gist
* Fork a Gist
* Star a Gist
* Unstar a Gist

Fedora Account System Username: firemanxbr
Comment 1 Matthias Runge 2013-07-02 06:27:16 EDT
You can not review your own package, thus raising fedora-review? is not necessary and not helpful at all.
Comment 2 Mario Blättermann 2013-07-03 14:08:07 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5570522

$ rpmlint -i -v *
gists.src: I: checking
gists.src: W: name-repeated-in-summary C Gists
The name of the package is repeated in its summary.  This is often redundant
information and looks silly in various programs' output.  Make the summary
brief and to the point without including redundant information in it.

gists.src: I: checking-url http://jdevesa.github.io/gists/ (timeout 10 seconds)
gists.src: I: checking-url https://github.com/jdevesa/gists/archive/c94e35b539056026e3d6c767f3a6644e2b271247/gists-v0.4.5.tar.gz (timeout 10 seconds)
gists.noarch: I: checking
gists.noarch: W: name-repeated-in-summary C Gists
The name of the package is repeated in its summary.  This is often redundant
information and looks silly in various programs' output.  Make the summary
brief and to the point without including redundant information in it.

gists.noarch: I: checking-url http://jdevesa.github.io/gists/ (timeout 10 seconds)
gists.noarch: W: no-manual-page-for-binary gists
Each executable in standard binary directories should have a man page.

gists.spec: I: checking-url https://github.com/jdevesa/gists/archive/c94e35b539056026e3d6c767f3a6644e2b271247/gists-v0.4.5.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 3 warnings.


The repeated-in-summary warning is OK here. In most cases the name of the application is the first word in the summary, and this is really senseless and annoying. In this certain case I consider it as ignorable.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    MIT
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    ad0929621e16b6d202ab0ed1aae4852a0331ad523d29e5f91ae5a3a542948463  gists-v0.4.5.tar.gz
    ad0929621e16b6d202ab0ed1aae4852a0331ad523d29e5f91ae5a3a542948463  gists-v0.4.5.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


Still one issue: Add CHANGES.md to %doc, and your package is ready for approval.
Comment 3 Marcelo Barbosa "firemanxbr" 2013-07-04 17:44:29 EDT
Mario,

   Thank you for review, i change my package it follow bellow:

SPEC URL: http://firemanxbr.fedorapeople.org/gists/gists.spec
SRPM URL: http://firemanxbr.fedorapeople.org/gists/gists-0.4.5-2.fc19.src.rpm

Marcelo Barbosa
Comment 4 Mario Blättermann 2013-07-05 15:31:33 EDT
OK.

----------------

PACKAGE APPROVED

----------------
Comment 5 Marcelo Barbosa "firemanxbr" 2013-07-05 17:17:07 EDT
New Package SCM Request
=======================
Package Name: gistis
Short Description: CLI interface for managing GitHub Gists
Owners: firemanxbr
Branches: f18 f19 el6
Comment 6 Gwyn Ciesla 2013-07-06 18:35:43 EDT
Requested package name gistis doesn't match bug summary gists, please
correct.
Comment 7 Marcelo Barbosa "firemanxbr" 2013-07-06 19:18:54 EDT
Jon,

   Thank you for report, updated the srpm and spec file, see below:

SPEC URL: http://firemanxbr.fedorapeople.org/gists/gists.spec
SRPM URL: http://firemanxbr.fedorapeople.org/gists/gists-0.4.5-3.fc19.src.rpm

Marcelo Barbosa
Comment 8 Mario Blättermann 2013-07-07 07:42:14 EDT
(In reply to Marcelo Barbosa from comment #7)
> Jon,
> 
>    Thank you for report, updated the srpm and spec file, see below:

No, Jon meant the typo in your SCM request

(In reply to Marcelo Barbosa from comment #5)
> New Package SCM Request
> =======================
> Package Name: gistis
> Short Description: CLI interface for managing GitHub Gists
> Owners: firemanxbr
> Branches: f18 f19 el6

gistis → gists


Fix it and set the fedora-cvs? flag again.
Comment 9 Marcelo Barbosa "firemanxbr" 2013-07-07 07:58:30 EDT
Mario,

   Thank you, i updated Subject this bugzilla and request SCM bellow.

Marcelo Barbosa
Comment 10 Marcelo Barbosa "firemanxbr" 2013-07-07 07:59:33 EDT
New Package SCM Request
=======================
Package Name: gistis
Short Description: A simple tool for pasting info 
Owners: firemanxbr
Branches: f18 f19 el6
Comment 11 Mario Blättermann 2013-07-07 08:23:46 EDT
(In reply to Marcelo Barbosa from comment #10)
> Package Name: gistis
There's a typo in the package name in your SCM request. The second "i" is superfluous. Please a remove it, file a new request and set the fedora-cvs? flag again.
Comment 12 Marcelo Barbosa "firemanxbr" 2013-07-07 08:27:23 EDT
Mario,

   Sorry my error, in updating.... Thank you for check. 

Marcelo Barbosa
Comment 13 Marcelo Barbosa "firemanxbr" 2013-07-07 08:28:26 EDT
New Package SCM Request
=======================
Package Name: gists
Short Description: A simple tool for pasting info 
Owners: firemanxbr
Branches: f18 f19 el6
Comment 14 Gwyn Ciesla 2013-07-07 15:14:42 EDT
Git done (by process-git-requests).
Comment 15 Fedora Update System 2013-07-07 16:30:01 EDT
gists-0.4.5-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gists-0.4.5-3.el6
Comment 16 Fedora Update System 2013-07-07 16:38:19 EDT
gists-0.4.5-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gists-0.4.5-3.fc18
Comment 17 Fedora Update System 2013-07-07 16:46:29 EDT
gists-0.4.5-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gists-0.4.5-3.fc19
Comment 18 Fedora Update System 2013-07-08 16:06:58 EDT
gists-0.4.5-3.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 19 Fedora Update System 2013-07-16 23:11:48 EDT
gists-0.4.5-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 20 Fedora Update System 2013-07-16 23:13:15 EDT
gists-0.4.5-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 21 Susi Lehtola 2013-08-02 05:45:55 EDT
Mario: Referring to bug #990236, please be more careful next time.
Comment 22 Mario Blättermann 2013-08-02 14:22:13 EDT
(In reply to Susi Lehtola from comment #21)
> Mario: Referring to bug #990236, please be more careful next time.

Well, I will try it. But it's actually not the task of the reviewer to evaluate all the runtime requirements. Usually I assume that the owner of the package review bug has tested his/her application so that it works without any unpackaged software. OK, you are right, I should have a test environment to avoid such things.
Comment 23 Marcelo Barbosa "firemanxbr" 2013-08-02 14:31:03 EDT
Hi everbody,

Sorry for the my mistake, but we are all human and we are always learning, I hope that this mistake is not repeated again, thank you for your attention.

Marcelo Barbosa - (firemanxbr)
Comment 24 Adam Williamson 2015-05-01 15:27:46 EDT
sorry for the necro, but this one just happened to come up for discussion. Mario, just a simple tip - when reviewing something that uses setuptools or a similar thing (anything where the %build / %install steps involve 'python setup.py'), upstream's list of requirements can be found in the setup.py file. Usually it'll be in a line marked 'install_requires'. If you look at the setup.py for gists - https://github.com/jdevesa/gists/blob/master/setup.py - you can see this:

       install_requires=requirements,

so we look at what 'requirements' is:

 requirements = ['requests == 0.14.0', 'clint == 0.3.1']

and see that it needs requests and clint.

Note You need to log in before you can comment on or make changes to this bug.